#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
# Don't mess with /etc/drirc. Mesa now installs the defaults as
# /usr/share/drirc.d/00-mesa-defaults.conf. We won't protect that
# as a .new file as it shouldn't be modified. Create /etc/drirc if
# you need local overrides.
#config etc/drirc.new
( cd usr/lib ; rm -rf libEGL.so )
( cd usr/lib ; ln -sf libEGL.so.1 libEGL.so )
( cd usr/lib ; rm -rf libEGL.so.1 )
( cd usr/lib ; ln -sf libEGL.so.1.0.0 libEGL.so.1 )
( cd usr/lib ; rm -rf libGL.so )
( cd usr/lib ; ln -sf libGL.so.1 libGL.so )
( cd usr/lib ; rm -rf libGL.so.1 )
( cd usr/lib ; ln -sf libGL.so.1.2.0 libGL.so.1 )
( cd usr/lib ; rm -rf libGLESv1_CM.so )
( cd usr/lib ; ln -sf libGLESv1_CM.so.1 libGLESv1_CM.so )
( cd usr/lib ; rm -rf libGLESv1_CM.so.1 )
( cd usr/lib ; ln -sf libGLESv1_CM.so.1.1.0 libGLESv1_CM.so.1 )
( cd usr/lib ; rm -rf libGLESv2.so )
( cd usr/lib ; ln -sf libGLESv2.so.2 libGLESv2.so )
( cd usr/lib ; rm -rf libGLESv2.so.2 )
( cd usr/lib ; ln -sf libGLESv2.so.2.0.0 libGLESv2.so.2 )
( cd usr/lib ; rm -rf libGLX_system.so.0 )
( cd usr/lib ; ln -sf libGLX_mesa.so.0 libGLX_system.so.0 )
( cd usr/lib ; rm -rf libOSMesa.so )
( cd usr/lib ; ln -sf libOSMesa.so.8 libOSMesa.so )
( cd usr/lib ; rm -rf libOSMesa.so.8 )
( cd usr/lib ; ln -sf libOSMesa.so.8.0.0 libOSMesa.so.8 )
( cd usr/lib ; rm -rf libgbm.so )
( cd usr/lib ; ln -sf libgbm.so.1 libgbm.so )
( cd usr/lib ; rm -rf libgbm.so.1 )
( cd usr/lib ; ln -sf libgbm.so.1.0.0 libgbm.so.1 )
( cd usr/lib ; rm -rf libglapi.so )
( cd usr/lib ; ln -sf libglapi.so.0 libglapi.so )
( cd usr/lib ; rm -rf libglapi.so.0 )
( cd usr/lib ; ln -sf libglapi.so.0.0.0 libglapi.so.0 )
